<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

//Route::post('login', 'API\UserController@login');
//Route::post('register', 'API\UserController@register');



//Route::post('login', 'Api\APIController@login');


Route::get('/payment/status', 'Api\PayoneController@paymentStatus')->name('api.payment_status');
Route::post('/payment/status', 'Api\PayoneController@paymentStatus')->name('api.payment_status');
//Route::post('login', 'Api\AuthController@login');



Route::group([
    'prefix' => 'auth'
], function () {
    Route::post('login', 'Api\AuthController@login');
   //Route::post('signup', 'Api\AuthController@signup');

    Route::group([
        'middleware' => 'auth:api'
    ], function() {
        Route::post('logout', 'Api\AuthController@logout');
        Route::post('checked', 'Api\AuthController@checked');
    });
});

Route::group([
    'prefix' => 'wp'
], function () {
    Route::group([
        'middleware' => 'auth:api'
    ], function() {
        Route::post('show', 'Api\ShoppingUserController@show');
        Route::post('store', 'Api\ShoppingUserController@store');
        Route::post('update', 'Api\ShoppingUserController@update');
        Route::post('order', 'Api\ShoppingUserController@order');
        Route::post('status', 'Api\ShoppingUserController@status');
        Route::post('delete', 'Api\ShoppingUserController@delete');
        Route::post('cancel', 'Api\ShoppingUserController@cancel');
        Route::post('open', 'Api\ShoppingUserController@open');
    });
});